use crate::TranslationRegistry;

mod access;
mod aggregate;
mod arithmetic;
mod array;
mod comparison;
mod conditional;
mod datetime;
mod interval;
mod json;
mod logical;
mod map;
mod match_func;
mod math;
mod membership;
mod operators;
mod regex;
mod string;
mod window;

pub fn register(registry: &mut TranslationRegistry) {
    access::register(registry);
    aggregate::register(registry);
    arithmetic::register(registry);
    array::register(registry);
    comparison::register(registry);
    conditional::register(registry);
    datetime::register(registry);
    interval::register(registry);
    json::register(registry);
    logical::register(registry);
    map::register(registry);
    math::register(registry);
    membership::register(registry);
    operators::register(registry);
    match_func::register(registry);
    regex::register(registry);
    string::register(registry);
    window::register(registry);
}
